Bug 1149126 - strace-4.9 RPM missing definitions of a lot of ioctls that in fact are in Git repository
Summary: strace-4.9 RPM missing definitions of a lot of ioctls that in fact are in Git...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: strace
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dmitry V. Levin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-03 09:45 UTC by Lubomir Rintel
Modified: 2014-11-10 06:37 UTC (History)
4 users (show)

Fixed In Version: strace-4.9-3.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-10 06:37:25 UTC
Type: Bug


Attachments (Terms of Use)
Differencies between SCM and dsitribution (31.50 KB, text/plain)
2014-10-03 09:45 UTC, Lubomir Rintel
no flags Details

Description Lubomir Rintel 2014-10-03 09:45:06 UTC
Created attachment 943672 [details]
Differencies between SCM and dsitribution

Description of problem:

linux/ioctlent.h.in from the RPM is a lot shorter than one from Git. Quick check is grep RFCOMMCREATEDEV linux/ioctlent.h.in.

I'm attaching a patch that I'm currently using that brings them in sync (might not be an useful fix, but provides a good overview).

Comment 1 Lubomir Rintel 2014-10-09 16:07:28 UTC
Ping? Anything I can do to help move this forward for F21?

Would you mind if I did the update myself?

Comment 2 Dmitry V. Levin 2014-10-12 08:33:31 UTC
I'd like to have a proper fix for this rather than an interim solution.
Could you please check what kind of linux/ioctlent.h.in is produced after invoking "./make-dist v4.9" in your environment?

Comment 3 Lubomir Rintel 2014-10-13 04:48:12 UTC
Hi,

(In reply to Dmitry V. Levin from comment #2)
> I'd like to have a proper fix for this rather than an interim solution.

Well, with beta freeze approaching, there's probably a good idea to have any kind of fix; especially when things look fine in Git, just the past release distribution seems broken.

> Could you please check what kind of linux/ioctlent.h.in is produced after
> invoking "./make-dist v4.9" in your environment?

Sure, I'm quite unsure whether we're on the same page here though -- this does not seem to have much with my environment, more like the environment the distribution tarball was generated in.

However, when I run "./make-dist v4.9" from a Git clone, it does not change anything. "git diff" does not print a single line.

Thank you

Comment 4 Dmitry V. Levin 2014-10-13 07:41:00 UTC
(In reply to Lubomir Rintel from comment #3)
> > Could you please check what kind of linux/ioctlent.h.in is produced after
> > invoking "./make-dist v4.9" in your environment?
> 
> Sure, I'm quite unsure whether we're on the same page here though -- this
> does not seem to have much with my environment, more like the environment
> the distribution tarball was generated in.
> 
> However, when I run "./make-dist v4.9" from a Git clone, it does not change
> anything. "git diff" does not print a single line.

"./make-dist v4.9" from strace.git produces a new strace-4.9.tar.xz file, normally it doesn't change anything else.

Comment 5 Lubomir Rintel 2014-10-14 13:31:32 UTC
(In reply to Dmitry V. Levin from comment #4)
> (In reply to Lubomir Rintel from comment #3)
> > > Could you please check what kind of linux/ioctlent.h.in is produced after
> > > invoking "./make-dist v4.9" in your environment?
> > 
> > Sure, I'm quite unsure whether we're on the same page here though -- this
> > does not seem to have much with my environment, more like the environment
> > the distribution tarball was generated in.
> > 
> > However, when I run "./make-dist v4.9" from a Git clone, it does not change
> > anything. "git diff" does not print a single line.
> 
> "./make-dist v4.9" from strace.git produces a new strace-4.9.tar.xz file,
> normally it doesn't change anything else.

Well, the tarball obviously is different; maybe the make-dist was run from a dirty checkout?

Comment 6 Dmitry V. Levin 2014-10-16 07:29:22 UTC
make-dist doesn't operate with checkouts, it operates with commits.
So what was the difference?

Shouldn't we move this discussion to strace-devel mailing list, so that other people could comment?

Comment 7 Lubomir Rintel 2014-10-16 10:12:16 UTC
(In reply to Dmitry V. Levin from comment #6)
> make-dist doesn't operate with checkouts, it operates with commits.
> So what was the difference?

Oh, I see now. Sorry. make-dist fails the date check. However, commenting the news-check out, it succeeds.

It indeed produces a broken (= missing definitions) distribution.

> Shouldn't we move this discussion to strace-devel mailing list, so that
> other people could comment?

Yeah, sounds wise. I've sent a follow-up message to the list, with a patch that fixes the problem for me. Please have a look and adjust/apply it as you wish. 

(While at that, on a somehow unrelated note, recently I've resent another patch to the list, after some years of non-response; I'm wondering if you could take a look too)

I'd be very thankful if you could fix the package any way you like before the final freeze though.

Thank you.

Comment 8 Lubomir Rintel 2014-10-21 09:33:23 UTC
Ping?

Comment 9 Dmitry V. Levin 2014-10-31 23:30:55 UTC
An upstream fix for "make dist" won't fix this bug until a fixed tarball is released.
Lubomir, as time is pressing, I certainly wouldn't mind if you updated the package.

Comment 10 Fedora Update System 2014-11-03 14:36:56 UTC
strace-4.9-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/strace-4.9-3.fc21

Comment 11 Fedora Update System 2014-11-03 19:39:53 UTC
Package strace-4.9-3.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing strace-4.9-3.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-14195/strace-4.9-3.fc21
then log in and leave karma (feedback).

Comment 12 Fedora Update System 2014-11-10 06:37:25 UTC
strace-4.9-3.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.